<template>
  <div :class="{ 'row justify-center text-center bg-secondary q-py-lg': true, 'q-pa-md': $q.screen.sm }">
    <div
      class="col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12 text-weight-medium text-white"
      :class="$q.platform.is.desktop ? 'text-h4 q-pa-lg' : 'text-h5 q-pa-md'"
    >
      {{ items.title }}
    </div>

    <q-separator color="transparent" />

    <div class="col-xl-3 col-lg-3 col-md-4 col-sm-8 col-xs-12 text-body1 text-weight-light text-white q-px-xl q-pt-sm q-pb-lg">
      {{ items.description }}
    </div>

    <q-separator color="transparent" />

    <div class="row col-xl-6 col-lg-6 col-md-12 col-sm-12 col-xs-12 justify-center q-pa-lg">
      <q-video
        v-if="items.url"
        :src="items.url"
        :class="{ 'zoom': true, 'video-box-desktop': $q.platform.is.desktop, 'video-box-mobile': $q.screen.sm }"
      />
    </div>
  </div>
</template>

<script>
export default {
  name: 'Presentation',
  props: {
    items: {
      type: Object,
      default: () => ({})
    }
  }
}
</script>
